Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.util
Class FatalError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javafe.util.FatalError

All Implemented Interfaces:
  java.io.Serializable

public class FatalError
extends java.lang.RuntimeException

A `FatalError` is an unchecked exception thrown only by `ErrorSet.fatal` that indicates that a fatal error has been encountered, forcing all further processing to be abandoned. Note that this is really an Exception, not an Error.

The cause and existence of a fatal error will already have been reported to the user by the time the `FatalError` has been thrown.

`FatalError` must be caught by the top level of the `Tool` so that any needed cleanup can be done before the `Tool` exits. `FatalError`s should be caught anywhere else only for local cleanup purposes.

See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID`

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`(package private)` | `FatalError()` Create a `FatalError` exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### FatalError

    FatalError()

  Create a `FatalError` exception. This constructor is intended to be called only by `ErrorSet.fatal`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage